#ifndef __BITBANG_H
#define __BITBANG_H

/* R/W one byte over SPI */
uint8_t mmc_byte(uint8_t x);

/* Send a command to the MMC */
void mmc_command(uint8_t command, uint32_t arg);

/* Read reply from MMC */
uint8_t mmc_reply(uint32_t byte_count);

/* Set port lines for bitbang interface to MMC */
void mmc_init();

/* Demo stuff */
void mmc_card_demo();

/* Copy a single 512 byte sector from 'start' to MMC 'sector' */
void mmc_write_sector(uint32_t sector, uint8_t* start);

/* Reset and init the MMC */
void mmc_card_init();

/* Display card info */
void mmc_dump_cid();

/* Deselect the MMC interface */
void mmc_idle();

#endif
